/*------------------------------------------------------------------------
GridMenu.h
GridSlammer Game Engine - version 0.1

    Copyright (C) 2000 Thad D. Phetteplace

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Examine the license.txt file located in the GridSlammer directory
    to see the full text of the LGPL license document.

    Direct inquiries to:    The GridSlammer Project
                            P.O. Box 26354
                            Wauwatosa, WI 53208

    Or on the Internet at:    http://www.gridslammer.org
                            info@gridslammer.org

------------------------------------------------------------------------*/

#ifndef GRIDMENU_H_INCLUDED
#define GRIDMENU_H_INCLUDED

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "GridSlammer/GridView.h"

class CGridMenu  
{
public:
    CGridMenu();
    virtual ~CGridMenu();

    void Open( CGridView *gv );
    void Close( void );
    int  IsActive( void );
    void ArrowUp( void );
    void ArrowDown( void );
    int  Select( void );
    void Render( void );

    CGridView *m_GridView;
    int m_nIsActive;
    int m_nMenuPos;
};

#endif // !defined(AGRIDMENU_H_INCLUDED)
